<div class="ui-g" >

    <div class="ui-g-6 ui-md-6" style="border: solid 1px black">
        <div class="ui-g-12">
            <label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.detailKendaraan" ></label>
        </div>
        <div class="ui-g-12">
        <span class="ui-g-4"><label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.typeofvehicle" ></label>:</span>
            <input class="ui-g-8" type="text" [disabled]="true" [(ngModel)]="data.productId"  style="width:50%"   />
        </div>
        <div class="ui-g-12">
        <span class="ui-g-4"><label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.typeofvehicle" ></label>:</span>
            <input class="ui-g-8" type="text" [disabled]="true" [(ngModel)]="data.productName"  style="width:50%"   />
        </div>
        <div class="ui-g-12">
            <span class="ui-g-4"><label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.year" ></label> :</span>
            <input class="ui-g-8" [disabled]="true" readonly type="text" [(ngModel)]="data.productYear"   style="width:50%" />
        </div>
        <div class="ui-g-12">
        <span class="ui-g-4"><label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.color" ></label>:</span>
            <input class="ui-g-8" pInputText type="text"  [disabled]="true" [(ngModel)]="data.colorDescription"  style="width:50%"  />
        </div>
        <!-- untuk dropdown edit vso-->
        <div class="ui-g-12"  *ngIf="isEdit === true">
            <span class="ui-g-4"><label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.color" ></label>:</span>
            <select class="ui-g-8" id="field_color" name="color" [(ngModel)]="data.colorId">
                <option [ngValue]="null">-Please Select-</option>
                <option [ngValue]="featureOption.idFeature" *ngFor="let featureOption of features; trackBy: trackFeatureById">{{featureOption.refKey}} - {{featureOption.description}}</option>
            </select>
        </div>
        <!---->
        <div class="ui-g-12">
            <span class="ui-g-4"><label class="form-control-label" ></label>No. Rangka :</span>
            <input class="ui-g-8" [disabled]="true"  type="text" [(ngModel)]="data.requestIdFrame"   style="width:50%" />
        </div>
        <div class="ui-g-12">
            <span class="ui-g-4"><label class="form-control-label" ></label>No. Mesin :</span>
            <input class="ui-g-8" pInputText type="text"  [disabled]="true" [(ngModel)]="data.requestIdMachine"  style="width:50%"  />
        </div>
        <div class="ui-g-12" *ngIf="isEdit === false">
            <span class="ui-g-4"><label class="form-control-label" ></label></span>
            <button type="button"
                (click)="refreshData()"
                class="btn btn-primary btn-block">
                <span class="fa fa-eyes"></span>&nbsp; Refresh                 
            </button>
        </div>
    </div>        

    <div style="padding: 0px 5px 0px 5px" class="ui-g-6 " >
        <div class="ui-g-12" style="border: solid 1px black">
            <div class="ui-g-12">
                    <label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.notePermintaanNokaNosin" ></label>
                    : {{data.requestIdMachineAndFrame}}
                    <!-- </label>
                    <input pInputText type="text" readonly [(ngModel)]="data.requestIdFrame"  style="width:100%"  /> -->
                </div>
                
                <div class="ui-g-12">
                    <label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.notePermintaanNopol" ></label>
                    : {{data.requestpoliceid}}
                    <!-- / {{data.requestpoliceid}} -->
                    <!-- <input pInputText type="text" readonly style="width:100%"  [(ngModel)]="data.requestpoliceid" /> -->
                    <!-- Noka / Nosin : {{data.idframe}} / {{data.idmachine}}  -->
                </div>    
            </div>
    </div>
    <div class="ui-g-12" *ngIf="isEdit === false">
        <!-- <div class="ui-g-4">
            <span><label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.warehouse" ></label>:</span>
            <select class="form-control" [(ngModel)]="idGudang" [ngModelOptions]="{standalone: true}">
                <option [ngValue]="facility.idFacility" *ngFor="let facility of facilities">{{facility.description}}</option>
            </select>
        </div> -->
    </div>

    <div class="ui-g-12 ">
        <div class="ui-g-4" *ngIf="isMatchingMenu">   
            <div *ngIf="(data.requestIdFrame == null || data.requestIdMachine == null) && isEdit == false">
                <button type="button"
                [routerLink]="['/', { outlets: { popup: 'inventory-item-lov/' + data.productId + '/' + data.internalId + '/' + data.colorId + '/' + '' + '/' + '' + '/' + data.productYear} }]"
                replaceUrl="true"                
                [disabled]="(!(statusVso === 72 || statusVso === 74 || statusVso === 61)) || (data.doneMatching==true)"
                class="btn btn-primary btn-block"
                *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_SALES_ADMIN', 'ROLE_ADMSALES']">
                <!-- [routerLink]="['/', { outlets: { popup: 'inventory-item-lov/' + data.productId + '/' + data.internalId + '/' + data.colorId + '/' + '' + '/' + '' } }]" -->
                <span class="fa fa-pencil"></span>&nbsp; Matching                 
                </button>

                <!-- remark karna gudang blm di pakai -->
                <!-- <button type="button"
                *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_SALES_ADMIN', 'ROLE_ADMSALES']"
                (click)="chooseFacility()">
                [routerLink]="['/', { outlets: { popup: 'inventory-item-lov/' + data.productId + '/' + data.internalId + '/' + data.colorId + '/' + '' + '/' + '' } }]"
                <span class="fa fa-save"></span>&nbsp; Pilih Gudang                 
                </button> -->

            </div>

            <div *ngIf="(data.requestIdFrame != null || data.requestIdMachine != null) && isEdit == false">
                <button type="button"
                [routerLink]="['/', { outlets: { popup: 'inventory-item-lov/' + data.productId + '/' + data.internalId + '/' + data.colorId + '/' + '' + '/' + '' + '/' + data.productYear } }]"
                replaceUrl="true"                
                [disabled]="(!(statusVso === 72 || statusVso === 74 || statusVso === 61 )) || (data.doneMatching==true)"
                class="btn btn-primary btn-block"
                *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_SALES_ADMIN', 'ROLE_ADMSALES']">
                <span class="fa fa-pencil"></span>&nbsp; Matching  
                <!-- [routerLink]="['/', { outlets: { popup: 'inventory-item-lov/' + data.productId + '/' + data.internalId + '/' + data.colorId + '/' + data.requestIdFrame + '/' + data.requestIdMachine } }]"                -->
                </button>  

                <!-- di remark dlu karan belum pakai gudang -->
                <!-- <button type="button"
                *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_SALES_ADMIN', 'ROLE_ADMSALES']"
                (click)="chooseFacility()">
                [routerLink]="['/', { outlets: { popup: 'inventory-item-lov/' + data.productId + '/' + data.internalId + '/' + data.colorId + '/' + '' + '/' + '' } }]"
                <span class="fa fa-save"></span>&nbsp; Pilih Gudang                 
                </button> -->
            </div>
            
        </div>
        <div class="ui-g-4" *ngIf="isEdit === true">
            <button type="button"
            class="btn btn-primary btn-block"
            (click)="saveColor()">
            <span class="fa fa-save"></span>&nbsp; Simpan  
            </button>

            <button type="button"
            class="btn btn-primary btn-block"
            (click)="previousPage()">
            <span class="fa fa-save"></span>&nbsp; Kembali  
            </button>
        </div>
        <!-- di remark dulu karna belum pakai gudang -->
        <!-- <div class="ui-g-4" *ngIf="!isMatchingMenu">
                <button type="button"
                *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_SALES_ADMIN', 'ROLE_ADMSALES']"
                (click)="chooseFacility()">
                [routerLink]="['/', { outlets: { popup: 'inventory-item-lov/' + data.productId + '/' + data.internalId + '/' + data.colorId + '/' + '' + '/' + '' } }]"
                <span class="fa fa-save"></span>&nbsp; Pilih Gudang                 
                </button>
        </div> -->
    </div>
    
</div>
<p-confirmDialog></p-confirmDialog>
